Bug 1278979 - Seeing recurring mySQL: database messages in nova.api.log
Seeing recurring mySQL: database messages in nova.api.log
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-oslo-db (Show other bugs)
6.0 (Juno)
Unspecified Unspecified
medium Severity medium
: ---
: 8.0 (Liberty)
Assigned To: Michael Bayer
Shai Revivo
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 17:19 EST by Jeremy
Modified: 2016-06-20 18:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-20 18:07:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy 2015-11-06 17:19:21 EST
Description of problem:
The following message repeats over & over in the nova.api.log:
2015-11-06 08:58:36.991 28340 DEBUG oslo.db.sqlalchemy.session [req-79601268-b888-439f-a3c8-c0cb2702ab7d ] MySQL server mode set to STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION _check_effective_sql_mode /usr/lib/python2.7/site-packages/oslo/db/sqlalchemy/session.py:482


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install openstack 6.0
2. see messages over and over
3.

Actual results:


Expected results:


Additional info:
esterday we logged the message more than 275 times
Comment 2 Michael Bayer 2015-11-07 10:37:49 EST
this is a normal message emitted by the driver each time a new database connection is established against the database; oslo.db sets up the SQL server mode on new connections (I need to review the code to re-examine the specific methodology).  as far as if it is suddenly emitting to the logs where it was not before, has this just started occurring where it did not previously, and if so what changed?

leaning towards no bug here but will examine to see if the messaging is inappropriate or unexpected.
Comment 4 Michael Bayer 2016-06-20 18:07:12 EDT
per the customer they had DEBUG logging set up in nova.conf that would be causing this.

Note You need to log in before you can comment on or make changes to this bug.